Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange.mapi
Interface IMapiTask

All Superinterfaces:
  IAttachmentSupport, IExchangeItem, IExchangeTask, IGroupwareItem, IItem, IMessagingItem, ITask, java.io.Serializable

public interface IMapiTask
extends IExchangeTask

This interface is used exclusively by MAPI to provide task request functionality. The item class is `item.task.exchange.mapi`.

Field Summary
`static ItemClass` | `CLASS` The ItemClass that represents an Exchange task.

Fields inherited from interface com.compoze.collab.exchange.IExchangeTask
`ACTUAL_WORK, ASSOCIATED_TASK_LINK, BILLING_INFO, COMPANIES, DELEGATOR, DUE_CALENDAR, IS_COMPLETE, IS_TEAM_TASK, KEYID_ACTUAL_WORK, KEYID_ASSOCIATED_TASK_LINK, KEYID_BILLING_INFO, KEYID_COMPANIES, KEYID_DELEGATOR, KEYID_DUE_CALENDAR, KEYID_IS_COMPLETE, KEYID_IS_TEAM_TASK, KEYID_OWNER, KEYID_PERCENT_COMPLETE, KEYID_RECURRENCE_PATTERN, KEYID_REMINDER_DATE, KEYID_START_CALENDAR, KEYID_TOTAL_WORK, OWNER, RECURRENCE_PATTERN, REMINDER_DATE, START_CALENDAR, TOTAL_WORK`

Fields inherited from interface com.compoze.collab.groupware.ITask
`DATE_COMPLETED, DUE_DATE, IS_RECURRING, KEYID_DATE_COMPLETED, KEYID_DUE_DATE, KEYID_IS_RECURRING, KEYID_START_DATE, KEYID_STATUS, PERCENT_COMPLETE, START_DATE, STATUS`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.exchange.IExchangeItem
`BODY_RTF, CONTACT_NAMES, CREATOR_ENTRYID, FLAG, FLAG_REMIND_BY, FLAG_TEXT, HAS_REMINDER, HIDE_ATTACHMENTS, ICON_INDEX, IS_HIDDEN, KEYID_BODY_RTF, KEYID_CONTACT_NAMES, KEYID_CREATOR_ENTRYID, KEYID_FLAG, KEYID_FLAG_REMIND_BY, KEYID_FLAG_TEXT, KEYID_HAS_REMINDER, KEYID_HIDE_ATTACHMENTS, KEYID_ICON_INDEX, KEYID_IS_HIDDEN, KEYID_MILEAGE, KEYID_NORMALIZED_SUBJECT, KEYID_PRIORITY, KEYID_SENSITIVITY, KEYID_SUBJECT_PREFIX, MILEAGE, NORMALIZED_SUBJECT, PRIORITY, SENSITIVITY, SUBJECT_PREFIX`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`IMapiTaskRequest` | `createRequest()` Creates a task request from this task.

Methods inherited from interface com.compoze.collab.exchange.IExchangeTask
`decline, getActualWork, getBillingInfo, getCompanies, getDelegator, getDueCalendar, getHasReminder, getOwner, getPercentComplete, getRecurrencePattern, getReminderDate, getStartCalendar, getTotalWork, isComplete, isCurrentUserRecipient, isTeamTask, markComplete, setActualWork, setBillingInfo, setCompanies, setDelegator, setHasReminder, setOwner, setPercentComplete, setRecurrencePattern, setReminderDate, setStatus, setTotalWork, skip`

Methods inherited from interface com.compoze.collab.groupware.ITask
`getDateCompleted, getDueDate, getStartDate, getStatus, isRecurring, setDateCompleted, setDueDate, setDueDate, setStartDate, setStartDate`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.exchange.IExchangeItem
`getBodyRtf, getContactNames, getFlagStatus, getFlagText, getHideAttachments, getMileage, getPriority, getSensitivity, getSubjectPrefix, isHidden, setBodyRtf, setContactNames, setFlagStatus, setFlagText, setHideAttachments, setMileage, setPriority, setSensitivity, setSubjectPrefix`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### CLASS

    public static final ItemClass CLASS

  The ItemClass that represents an Exchange task.

Method Detail

### createRequest

    public IMapiTaskRequest createRequest()
                                   throws CollaborationException

  Creates a task request from this task. This method requires that the task be loaded with the keys listed in `See Also`.
  Returns:
    a task request suitable for sending
  Throws:
    `CollaborationException` - if there was an error creating the task request
  See Also:
    `ITask.PERCENT_COMPLETE`, `IGroupwareItem.SUBJECT`, `IExchangeTask.ASSOCIATED_TASK_LINK`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.